#
# spec file for package solarus
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           solarus
Version:        1.5.3
Release:        lp150.1.8
Summary:        Zelda-like game engine
License:        GPL-3.0+
Group:          Amusements/Games/RPG
Url:            http://www.solarus-engine.org/
Source:         http://www.solarus-games.org/downloads/solarus/%{name}-%{version}-src.tar.gz
# PATCH-FEATURE-UPSTREAM https://github.com/solarus-games/solarus/pull/1031
Patch3:         appdata.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  physfs-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(vorbis)

%description
Solarus is a Zelda-like game engine written in C++.

%package -n libsolarus1
Summary:        Zelda-like game engine
Group:          System/Libraries

%description -n libsolarus1
Solarus is a Zelda-like game engine written in C++.

%package devel
Summary:        Development files for solarus
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Development files for solarus, including header-files.

%prep
%setup -q
%patch3 -p1

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install

%post
%icon_theme_cache_post
%desktop_database_post

%postun
%icon_theme_cache_postun
%desktop_database_postun

%post   -n libsolarus1 -p /sbin/ldconfig
%postun -n libsolarus1 -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc changelog.txt license.txt README.md
%{_bindir}/solarus
%{_libdir}/libsolarus-gui.so
%{_bindir}/solarus-run
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/solarus*
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml

%files -n libsolarus1
%defattr(-,root,root)
%{_libdir}/libsolarus.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/solarus
%{_libdir}/libsolarus.so

%changelog
* Mon Aug 14 2017 aloisio@gmx.com
- Update to 1.5.3
  * Speed up loading maps by keeping tilesets in a cache (#1019).
  * Fix text_surface:set_horizontal/vertical_alignment() not
    working.
  * Fix parallax dynamic tiles still displayed when disabled or
    invisible.
  * Improve error message of non-square tile patterns with diagonal
    obstacles.
- Dropped luajit-5_1-2.1.patch and icons-desktop-man.patch
  (merged upstream)
* Sat Feb 18 2017 mailaender@opensuse.org
- Add appdata.patch for https://en.opensuse.org/openSUSE:AppStore
* Wed Jan 25 2017 jengelh@inai.de
- Implement shared library packaging guideline.
  Trim filler words from description.
* Tue Jan 24 2017 mailaender@opensuse.org
- New upstream version 1.5.1
- build the Qt5 quest launcher GUI
- remove fix-libsuffix.patch (included upstream)
- remove fix-luajit-cmake.patch (included upstream)
- add luajit-5_1-2.1.patch to fix the build with LuaJIT 2.1
- add icons-desktop-man.patch to complete the cmake installation
* Mon Jan 25 2016 rpm@fthiessen.de
- New upstream version 1.4.5:
  * Fix file name not shown when there is an error in dialogs file.
  * Fix saving special characters in data files.
  * Fix sol.main.load_file() returning a string instead of
    nil on error.
  * Fix performance issue when sprites have huge frame delays.
  * Fix collisions triggered for removed entities.
  * Fix hero disappearing if lifting animation has less
    than 5 frames.
  * Fix collisions with diagonal dynamic tiles larger than 8x8.
  * Fix path finding movement not working with NPCs.
  * Fix stuck on non-traversable dynamic tiles covered
    by traversables.
  * Fix collision detection of custom entities that do not move.
  * Fix pickables with special movement falling in holes too early.
  * Fix blocking streams not working when the hero's
    speed is greater.
* Sat Nov 21 2015 rpm@fthiessen.de
- Updated to 1.4.4:
  * spec file clean up
  * Added fix-libsuffix.patch to install library into /usr/lib64
    on e.g. x86_64 instead /usr/lib
  * Added fix-luajit-cmake.patch to detect luajit headers in
    include path with lua_suffix.
* Wed Jul  2 2014 mailaender@opensuse.org
- Adapted for SUSE
- Update to 1.2.0
* Fri Jan  3 2014 huaren.zhong@gmail.com
- Rebuild for Fedora
* Wed Dec 28 2011 giacomosrv@gmail.com
- packaged solarus version 0.9.0
